Powered by Invision Power Board


  
 
Reply to this topicStart new topicStart Poll

> epgsearch generiert keine Timer (V6 mit Update 9)
eurofinder
Geschrieben am: Samstag, 12.August 2017, 12:53 Uhr
Quote Post


Advanced Member
***

Gruppe: G2V3+User
Beiträge: 98
Mitgliedsnummer.: 93
Mitglied seit: 2003-07-31



Moin zusammen,

seitdem ich auf V6 mit Update 9 umgestiegen bin, habe ich einige Probleme mit dem epgsearch-Plugin:
1) Obwohl im Plugin eingestellt, dass Original-Programmübersicht ersetzt werden soll, ändert sich deren Funktionalität nicht. Mit gesondertem zusätzlichen Menüeintrag kann ich die Zusatzfunktionen allerdings nutzen.

Was muss ich machen, damit ich das Originalmenue wieder ersetzt bekomme?

2) Ich habe meine epgsearch.conf vom alten auf das neue System übertragen. Allerdings werden die Einträge ignoriert. Ich habe daraufhin neue Einträge erstellt. Diese werden auch bei der Suche über epgsearch gefunden, es werden aber keine neuen Timer angelegt. Die Timer sind auch aktiv. Der Port ist korrekt und svdrpsend plug epgsearch LSTS gibt auch die Suchtimer aus. Timersdone.conf habe ich bereits gelöscht und die Wiederholung der Programmierung von Suchtimer ist aktiviert.

Hat jemand eine Idee, woran es liegt?

Beigefügt doe logs.

Was mir aufgefallen ist:
Sa. 12.08.2017 12:56:36: EPGSearch log started (verbose level 1, version 2.3.1)
Sa. 12.08.2017 12:56:37: loading /etc/vdr/plugins/epgsearch/epgsearch.conf
Sa. 12.08.2017 12:56:37: loading /etc/vdr/plugins/epgsearch/epgsearchtemplates.conf
Sa. 12.08.2017 12:56:37: loading /etc/vdr/plugins/epgsearch/epgsearchdone.data
Sa. 12.08.2017 12:56:37: loading /etc/vdr/plugins/epgsearch/epgsearchupdmail.templ

Im vdr_error.log:
Aug 12 10:15:38 vdr01 vdr[3711]: [3711] ERROR: EPGSearch: searchtimer thread 5113 won't end (waited 6 seconds) - canceling it...
Aug 12 10:16:55 vdr01 vdr[3711]: [4660] ERROR (svdrp.c,400): Ungültiger Dateideskriptor
Aug 12 10:21:56 vdr01 vdr[3711]: [4660] ERROR (svdrp.c,400): Ungültiger Dateideskriptor
Aug 12 12:19:01 vdr01 vdr[3711]: [4698] ERROR (svdrp.c,1033): Datenübergabe unterbrochen (broken pipe)
Aug 12 12:48:27 vdr01 vdr[3711]: [3711] ERROR: EPGSearch: searchtimer thread 4660 won't end (waited 6 seconds) - canceling it...
Aug 12 12:52:22 vdr01 vdr[718]: [796] ERROR (svdrp.c,400): Ungültiger Dateideskriptor
Aug 12 12:56:42 vdr01 vdr[3037]: [3187] ERROR (svdrp.c,400): Ungültiger Dateideskriptor
Aug 12 13:01:43 vdr01 vdr[3037]: [3187] ERROR (svdrp.c,400): Ungültiger Dateideskriptor
Aug 12 13:22:52 vdr01 vdr[3037]: [3037] ERROR: attempt to open OSD while it is already open - using dummy OSD!

ERROR (svdrp.c, 400) - aber was bedeutet das?

Kann mir jemand helfen?

Danke und Gruß
eurofinder
Email Poster
Top
MegaV0lt
Geschrieben am: Samstag, 12.August 2017, 13:31 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 760
Mitgliedsnummer.: 544
Mitglied seit: 2005-06-01



Zumindest bei VDR 2.2.0 braucht man zum ersetzen von Menüeinträgen einen Patch. Aus dem Readme von EPGSearch:
CODE
- MainMenuHooks-v1_0_1.diff.gz: patches vdr to allow plugins to replace main menu items like 'Schedule', 'Recordings',... Use this one, if epgsearch shall replace the schedules menu. This patch is also used by other plugins like the extrec-plugin.
Email PosterUsers WebsiteICQ
Top
eurofinder
Geschrieben am: Samstag, 12.August 2017, 13:43 Uhr
Quote Post


Advanced Member
***

Gruppe: G2V3+User
Beiträge: 98
Mitgliedsnummer.: 93
Mitglied seit: 2003-07-31



Ich habe bisher nur das ISO mit den vorhandenen Updates installiert. Demnach ist dann doch vdr-2.3.4.

Wird dort auch ein Patch benötigt?

Gruß
eurofinder

Email Poster
Top
eurofinder
Geschrieben am: Samstag, 12.August 2017, 13:58 Uhr
Quote Post


Advanced Member
***

Gruppe: G2V3+User
Beiträge: 98
Mitgliedsnummer.: 93
Mitglied seit: 2003-07-31



Ich habe die Lösung gefunden:

Nachdem ich in der Datei:
/etc/vdr.d/plugins/epgsearch

unter PLUGIN_PARAMETERS
--svdrpsendcmd=/usr/bin/svdrpsend

ergänzt habe, scheint es zu funktionieren.

Zumindest sind nach einem Neustart des vdr neue Timer hinzugefügt worden.

Unabhängig davon würde mich aber trotzdem interessieren, wie ich ein Update des git für epgsearch machen müsste. Welche Befehle müsste ich welcher Reihenfolge auf der Konsole eingeben, damit das aktualisierte git von epgsearch unter gen2vdr genutzt wird?

Kann man nur ein Plugin aktualsieren und diese neu installieren?

Gruß
eurofinder






Email Poster
Top
Thema wird von 0 Benutzer(n) gelesen (0 Gäste und 0 Anonyme Benutzer)
0 Mitglieder:

Topic Options Reply to this topicStart new topicStart Poll